# 在您开始之前

<p class="lead">帮助您开始使用 Frappe 创建应用的资源列表</p>

---

#### 1. Python

Frappe 使用 Python (v2.7) 进行服务器端编程。 在您开始使用 Frappe 构建应用之前，强烈建议您学习 Python。

要编写高质量的服务器端代码，还必须包括自动测试。

相关资源：

 1. [Codecademy Python 教程](https://www.codecademy.com/learn/python)
 1. [官方 Python 教程](https://docs.python.org/2.7/tutorial/index.html)
 1. [测试驱动开发基础](http://code.tutsplus.com/tutorials/beginning-test-driven-development-in-python--net-30137)

---

#### 2. MariaDB / MySQL

要使用 Frappe 创建数据库驱动的应用，您必须了解数据库管理的基本知识，比如如何安装、登录、创建新数据库以及基本的 SQL 查询。

相关资源：

 1. [Codecademy SQL 教程](https://www.codecademy.com/learn/learn-sql)
 1. [DigitalOcean 基础 MySQL 教程](https://www.digitalocean.com/community/tutorials/a-basic-mysql-tutorial)
 1. [MariaDB 入门](https://mariadb.com/kb/en/mariadb/documentation/getting-started/)

---

#### 3. HTML / CSS

如果要使用 Frappe 构建用户界面，您需要学习基本的 HTML/CSS 和 Boostrap CSS 框架。

相关资源：

 1. [Codecademy HTML/CSS 教程](https://www.codecademy.com/learn/learn-html-css)
 1. [Bootstrap 入门](https://getbootstrap.com/getting-started/)

---

#### 4. JavaScript 和 jQuery

要自定义表单并创建丰富的用户界面，您应该学习 JavaScript 和流行的 jQuery。


相关资源：

 1. [Codecademy JavaScript 教程](https://www.codecademy.com/learn/learn-javascript)
 1. [Codecademy jQuery 教程](https://www.codecademy.com/learn/jquery)
---

#### 5. Jinja 模板

如果您要自定义打印模板或 Web 页面，则需要了解 Jinja 模板语言。 这是创建动态 Web 页面 (HTML) 的一种简单方法。

相关资源：

 1. [Jinja 模板入门](https://realpython.com/blog/python/primer-on-jinja-templating/)
 1. [官方文档](http://jinja.pocoo.org/)

---

#### 6. Git 和 GitHub

了解如何使用 Git 和 GitHub 为开源项目做出贡献，这两个工具可以帮助您管理代码并与他人共享。

相关资源：

 1. [Git 基础教程](https://try.github.io)
 2. [如何贡献开源](https://opensource.guide/how-to-contribute/)

---

当您准备好时，您可以尝试使用 Frappe [构建示例应用](/docs/user/en/tutorial/app)。

